%define stamp 19981218

Name:           uread
Version:        0
Release:        0.%{stamp}%{?dist}
Summary:        Utilities for unformatted fortran files

Group:          Development/Tools
License:        GPL
URL:            http://www.engineers.auckland.ac.nz/~snor007/software.html#uread
Source0:        uread-%{stamp}.tar.gz
# unversioned upstream source, downloaded with wget -N
# renamed to uread-YYYYMMDD.tar.gz
#Source0:        http://www.engineers.auckland.ac.nz/~snor007/src/uread.tar.gz

# this is a mail exchange where the author gives the right to redistribute 
# his work under the GPL
Source1:        uread-licence.email
Patch0:         uread-include_stdlib.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       


%description
These utilities enable you to have a look at a Fortran unformatted file to 
see the size of the data records, and to swap its endianess from big to 
little, or vis versa.

%prep
%setup -q -n uread
%patch0 -p1

cp %{SOURCE1} .

%build
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man1/
install -d -m755 $RPM_BUILD_ROOT%{_bindir}/
install -m644 *.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install uread ustrip uswap $RPM_BUILD_ROOT%{_bindir}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc uread-licence.email
%{_bindir}/uread
%{_bindir}/ustrip
%{_bindir}/uswap
%{_mandir}/man1/u*.1*

%changelog
* Tue Jun 26 2007 Patrice Dumas <pertusus@free.fr> 0-0.19981218
- use 0 as version and put the timestamp in the release

* Wed Jun 14 2006 Patrice Dumas <pertusus@free.fr> 0.19981218-1
- Initial packaging
